summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-21 07:20:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-21 07:20:56 +0000
commit5dab125ead063615ecb97859ba60eaf74b7f79bb (patch)
treebac7cdf4497c203259736c0bd726b5b688bd928c /dev-python
parent68f28569389793d0fc49ca47cb064dc4320905b2 (diff)
downloadbaldeagleos-repo-5dab125ead063615ecb97859ba60eaf74b7f79bb.tar.gz
baldeagleos-repo-5dab125ead063615ecb97859ba60eaf74b7f79bb.tar.xz
baldeagleos-repo-5dab125ead063615ecb97859ba60eaf74b7f79bb.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aisuite/metadata.xml7
-rw-r--r--dev-python/guidata/Manifest3
-rw-r--r--dev-python/guidata/guidata-3.13.1.ebuild39
-rw-r--r--dev-python/guidata/guidata-3.13.4.ebuild (renamed from dev-python/guidata/guidata-3.12.0.ebuild)4
-rw-r--r--dev-python/humanize/Manifest4
-rw-r--r--dev-python/humanize/humanize-4.12.3.ebuild28
-rw-r--r--dev-python/humanize/humanize-4.15.0.ebuild (renamed from dev-python/humanize/humanize-4.13.0.ebuild)3
-rw-r--r--dev-python/justhtml/Manifest2
-rw-r--r--dev-python/justhtml/justhtml-0.16.0.ebuild17
-rw-r--r--dev-python/justhtml/metadata.xml16
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/nodeenv/Manifest1
-rw-r--r--dev-python/nodeenv/nodeenv-1.10.0.ebuild30
-rw-r--r--dev-python/numpy/Manifest2
-rw-r--r--dev-python/numpy/numpy-2.4.0.ebuild309
-rw-r--r--dev-python/odfdo/Manifest2
-rw-r--r--dev-python/odfdo/metadata.xml4
-rw-r--r--dev-python/odfdo/odfdo-3.18.2.ebuild (renamed from dev-python/odfdo/odfdo-3.14.4.ebuild)2
-rw-r--r--dev-python/odsgenerator/Manifest2
-rw-r--r--dev-python/odsgenerator/metadata.xml7
-rw-r--r--dev-python/odsgenerator/odsgenerator-1.12.0.ebuild (renamed from dev-python/odsgenerator/odsgenerator-1.11.3.ebuild)15
-rw-r--r--dev-python/odsparsator/Manifest2
-rw-r--r--dev-python/odsparsator/metadata.xml4
-rw-r--r--dev-python/odsparsator/odsparsator-1.12.1-r2.ebuild24
-rw-r--r--dev-python/odsparsator/odsparsator-1.13.1.ebuild29
-rw-r--r--dev-python/scikit-image/Manifest2
-rw-r--r--dev-python/scikit-image/scikit-image-0.26.0.ebuild103
-rw-r--r--dev-python/simsimd/Manifest2
-rw-r--r--dev-python/simsimd/simsimd-6.5.12.ebuild64
-rw-r--r--dev-python/smbus2/Manifest1
-rw-r--r--dev-python/smbus2/smbus2-0.6.0.ebuild30
-rw-r--r--dev-python/strip-hints/Manifest1
-rw-r--r--dev-python/strip-hints/metadata.xml10
-rw-r--r--dev-python/strip-hints/strip-hints-0.1.13.ebuild26
37 files changed, 697 insertions, 127 deletions
diff --git a/dev-python/aisuite/metadata.xml b/dev-python/aisuite/metadata.xml
index 8c8101bcdb2c..5b3b90580cc7 100644
--- a/dev-python/aisuite/metadata.xml
+++ b/dev-python/aisuite/metadata.xml
@@ -1,10 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>core@liguros.net</email>
- <name>Development</name>
+ <maintainer type="person">
+ <email>ivan.lloro.boada@gmail.com</email>
+ <name>Ivan Lloro</name>
</maintainer>
<origin>gentoo-guru-overlay</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/guidata/Manifest b/dev-python/guidata/Manifest
index 0ab2487ccf7f..0ec2b57418ef 100644
--- a/dev-python/guidata/Manifest
+++ b/dev-python/guidata/Manifest
@@ -1,3 +1,2 @@
-DIST guidata-3.12.0.tar.gz 722401 BLAKE2B 63849d3c83ac3a5c940b5fb5c9e9c58294461c93dd82a95ea3f3c20be98f6e58f9905c96bbe4766739f41d3373b8ed171113fc693d00b7194bebdf8481566397 SHA512 aec447bd3483f977d4e26c7cbb68e1232ecc218d9df72843c5ad7baaf944bbedc91e9d2343f6169e1c88c20a577111405092701cbf1c4c0a49c245cdee726517
-DIST guidata-3.13.1.tar.gz 775563 BLAKE2B 4a7b1739b9a2d194cc8455de92df60d7584dda9b81f9a8e5f76d25b3f773e98cffd58d24c1df3a4548b0c2e3854428b933f75b9b33d848ca7571ee4f5f34b715 SHA512 578d34878b25cfb36c563c0b9fd913fd3b28c36e2a9a0b3b2485a8d6c9bfecd6e120b969617268c738f288be42ec564faf38321e083eb59c17e1b0a9600cd103
DIST guidata-3.13.2.tar.gz 779101 BLAKE2B 62e6e685782d393d98173f7430ae8ec672c64010d948b66ba77148a89bb4493a18a49caa436274484f289f19b5c984a18ecf0e5baf3314a85aeb41b891934aea SHA512 512e1f4308f31f58f7187dd0ffb0244e70f8ab5b29e42611bff856fae5556744e5f58d86e0aa5c946f52a4fbe25ad71830a15c17ecda89f33cc35d6fa59a9b75
+DIST guidata-3.13.4.tar.gz 783773 BLAKE2B 4643802dca5a9c838ceb22baa7f7ac56e2b886a0e7d612e546979ea2df942dcdab23faadcf5bbb6b7856028e6e8eb62e7d7617ed68762c185f9324c813513b62 SHA512 c11acf082821443c14ab613342a1b397bbff361f223144ee9a570354867c1e0c71db95803cb2fbda9d2c25e284717bb38df4457bdd4b433b513d63fcac783f60
diff --git a/dev-python/guidata/guidata-3.13.1.ebuild b/dev-python/guidata/guidata-3.13.1.ebuild
deleted file mode 100644
index 27d0a91fe154..000000000000
--- a/dev-python/guidata/guidata-3.13.1.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Library for user interfaces for easy dataset editing and display"
-HOMEPAGE="https://pypi.org/project/guidata/"
-LICENSE="BSD"
-
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-
-RDEPEND="
- dev-python/h5py[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/pyqt6[${PYTHON_USEDEP}]
- dev-python/qtpy[${PYTHON_USEDEP}]
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/tomli[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-python/pytest-qt[${PYTHON_USEDEP}]
- dev-python/pytest-xvfb[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- epytest -p xvfb
-}
diff --git a/dev-python/guidata/guidata-3.12.0.ebuild b/dev-python/guidata/guidata-3.13.4.ebuild
index 27d0a91fe154..d9a19eed0d51 100644
--- a/dev-python/guidata/guidata-3.12.0.ebuild
+++ b/dev-python/guidata/guidata-3.13.4.ebuild
@@ -34,6 +34,10 @@ BDEPEND="
distutils_enable_tests pytest
+EPYTEST_DESELECT=(
+ "guidata/tests/dataset/test_all_features.py::test_all_features"
+)
+
python_test() {
epytest -p xvfb
}
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index cb186c668814..6403f862a415 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1,4 +1,4 @@
-DIST humanize-4.12.3.tar.gz 80514 BLAKE2B 23faa42db0005376509c7b756613ee139a0ddb2038d61be90e35ba85cc61bd47dda32edbd61e98ad8192cd29863b7a97b211c7192e9ba1cf3f7df4cea1959fc9 SHA512 530ea137f0176e1765eabf9adca353fb1616e3701f6e618822cffa70f731f59854dc629f17188edbb9dc82f37b80e643e87508ea0ef8c51ec889e5ad0c0c1dfe
-DIST humanize-4.13.0.tar.gz 81884 BLAKE2B 9c149c537e6cca5b21add970b3ec00124ad814cbb8c09dc9e4094bb1ba62031de80a81a5690e10ea8d08986925e1401ffd2d0f0df3c0eba49ebad7d68301b30c SHA512 9992907a55cd691060ec9f0cdd630830d3f5aa219b0afa521c05cdcdf34ad52858f1848eb8a0521bc00e1b4f2f95f35dfcf17c528f83071ed5281e9c04be711e
DIST humanize-4.14.0.tar.gz 82939 BLAKE2B 370df0ff2a518eb0931957ff468d2977f6f063f2497afd38608fdfb9596411a2bb5063cffc81f313280782db1994753266d6581ffe9d40df005a2a6d7ed50785 SHA512 af2b5247a4c87748e53228c181905e500f4607dcafb7dfafffef94b57eae639c3e6b96e8f8cc137611ffa98d27da2fd2479748a9c2caaaff26c1a56fc1639d91
DIST humanize-4.14.0.tar.gz.provenance 9459 BLAKE2B 4542cd3c8afb921a185e0a750426c5f925f2cb1f108c39eb7294954005594e4d7d56e812e5ca813c9dd307c86539739980a7c2d026789a94bc25c77dcc962423 SHA512 90fed28bf27bd7a3835d4e005c80cc5e9576d34ddc4f12c23bd270444783e311cb11976ff2a2fd17d0d58f7f6f22b6dfb96c05098cd469b9402af96acbc8f45a
+DIST humanize-4.15.0.tar.gz 83599 BLAKE2B c07d04da830d31d294d49ed43d2871dd337b80c9655bc868e56d71d61b9c69aa080864bf8a5f4ea6684adbd798aced820bdd202a0a9f4a4a5af5b26a0b9db4ca SHA512 685bb5bd14d013cbec7ad4b815cd6895a486315d88c81a39d00b59f4ffbfc94223352d55105c6e5fbb22a79ca018b8de70b5d82941739dfe0b2d165725bc0744
+DIST humanize-4.15.0.tar.gz.provenance 9475 BLAKE2B 2b5ba2b3d23e4efbda84c6ab0a7810d4f4f76f1d26c9c126c2253837dc3209308a84fb5320d67b3d103249919adc725ccdef61cc46c1cded53ffccd36c88653f SHA512 7465a416984d005d51160c78140a8c4ecf23488ac73f599909bbbe6b4f687201039f8ac7965cfd6200f330844ea1adb2424d0aa0b727c5bf1e1ada998300e84b
diff --git a/dev-python/humanize/humanize-4.12.3.ebuild b/dev-python/humanize/humanize-4.12.3.ebuild
deleted file mode 100644
index a0c5277f6238..000000000000
--- a/dev-python/humanize/humanize-4.12.3.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Common humanization utilities"
-HOMEPAGE="
- https://github.com/python-humanize/humanize/
- https://pypi.org/project/humanize/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm64 x86"
-
-BDEPEND="
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/humanize/humanize-4.13.0.ebuild b/dev-python/humanize/humanize-4.15.0.ebuild
index 4ba4b0c48e01..558713fe9963 100644
--- a/dev-python/humanize/humanize-4.13.0.ebuild
+++ b/dev-python/humanize/humanize-4.15.0.ebuild
@@ -4,6 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/python-humanize/humanize
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1 pypi
@@ -16,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
BDEPEND="
dev-python/hatch-vcs[${PYTHON_USEDEP}]
diff --git a/dev-python/justhtml/Manifest b/dev-python/justhtml/Manifest
new file mode 100644
index 000000000000..aacb7c23e9c4
--- /dev/null
+++ b/dev-python/justhtml/Manifest
@@ -0,0 +1,2 @@
+DIST justhtml-0.16.0.tar.gz 166791 BLAKE2B bf00c307d4c4cd427e861dca478dc7b5cb2494cca99a9b4aaf51e5b91cda095d220425abab13317dfb0701c04e19a95108172db9f44ac65a6c4b3fc4d07d21d5 SHA512 09c929214cd11fcb4a19dab792ed3170970f57c6ae2858dca078c0b8b43a83f9278b8506d9a9181447a5d6eed434a7f00c3200d23b2097cdd81c02ec2f703869
+EBUILD justhtml-0.16.0.ebuild 465 BLAKE2B 5a0e041fe074021e9256ea4bac3e3c64c888dcd7e50162cf0c77abbaf7da3fbcfb6aaaaf7d5ef9d70aaa80858f3c02df72c931713406a59c7f95803636264737 SHA512 438b726e07bcaf36449e5c2807859be53be892bc47f0578ef161d6d1eef65b4629a6ac46009a228ca68b58c1e59f8921546f2838ef3422c3bc3909041090c521
diff --git a/dev-python/justhtml/justhtml-0.16.0.ebuild b/dev-python/justhtml/justhtml-0.16.0.ebuild
new file mode 100644
index 000000000000..3960de7b8ed0
--- /dev/null
+++ b/dev-python/justhtml/justhtml-0.16.0.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure Python HTML5 parser that just works."
+HOMEPAGE="https://github.com/EmilStenstrom/justhtml"
+SRC_URI="https://github.com/EmilStenstrom/justhtml/archive/refs/tags/v${PV}.tar.gz -> justhtml-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
diff --git a/dev-python/justhtml/metadata.xml b/dev-python/justhtml/metadata.xml
new file mode 100644
index 000000000000..8986ba217223
--- /dev/null
+++ b/dev-python/justhtml/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>ivan.lloro.boada@gmail.com</email>
+ <name>Ivan Lloro</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>emil@emilstenstrom.se</email>
+ <name>Emil Stenström</name>
+ </maintainer>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 7100f5f39dd8..271137de443d 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/nodeenv/Manifest b/dev-python/nodeenv/Manifest
index bfa3c2fa37ce..20f6b2fd1c47 100644
--- a/dev-python/nodeenv/Manifest
+++ b/dev-python/nodeenv/Manifest
@@ -1 +1,2 @@
+DIST nodeenv-1.10.0.gh.tar.gz 43934 BLAKE2B b6a8e4d6689a26936a5fc22bc0cf527abbc84e4c3eec0e635a51eb6317b391faabd98480d23eaddbe169ee20eeb668c769ba0eee0746dd5813ab0889eb9135ff SHA512 026edc60940586dad3aaf53f514c7ef4d638eb76e0066f97a0035f44de099b480d3d19510ca6ab9d5764a397a2e072a64ff9f88e5837512a0d43e41b46fdd342
DIST nodeenv-1.9.1.gh.tar.gz 37158 BLAKE2B 73cdc56f7e8b55b8f0f6a4ab20fe91957f2ed40c6f58b9f17b13fbadc1f15305566018ffe7731dd930560f6d46ba67572bd4bb4bf4ba0419fd54760bac909dd0 SHA512 28fa814b57323dd996764d754f9c614c9dfd668c85ab21c23d0f9aeebb669ba3933f7b0b9ccbf0c808b5f15783eb3afdf3801f293952f3c4945729dee6ecb20b
diff --git a/dev-python/nodeenv/nodeenv-1.10.0.ebuild b/dev-python/nodeenv/nodeenv-1.10.0.ebuild
new file mode 100644
index 000000000000..a9668c5c9a1f
--- /dev/null
+++ b/dev-python/nodeenv/nodeenv-1.10.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Node.js virtual environment builder"
+HOMEPAGE="
+ https://github.com/ekalinin/nodeenv/
+ https://pypi.org/project/nodeenv/
+"
+SRC_URI="
+ https://github.com/ekalinin/nodeenv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+
+# requires network access
+RESTRICT="test"
+PROPERTIES="test_network"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index d8a480808ee3..a0e74b07a0f7 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -7,5 +7,7 @@ DIST numpy-2.3.4.tar.gz 20582187 BLAKE2B 268754c3e50049a9a3c8a9d5bc3159a7bf635bf
DIST numpy-2.3.4.tar.gz.provenance 9933 BLAKE2B f25013995927114ba965e6297725d3d0cfdf70a2080e90c05b7297c8451b1cfe6a03bf81dc9cfb678e64ec4eaf0ec7fd3892fdf2ebb75ddb052bbf451b44870f SHA512 1689825964ca90f5af3ff2493df889b61b8ec4ca6e36b8c8ab1fede5ddac8f2606109c9434163dde92e9a6f0b0f7f2c328ffb322dc8f19b69b5de4a1c5a35cd7
DIST numpy-2.3.5.tar.gz 20584950 BLAKE2B a203d249631a49c8a28d8b81fb395d41f40c02c32955014c9010fd887bbd29631a94bf0f781a16a3b84fdde740c7728a5bfdcf4489e2c82b17c7f9cf2f641230 SHA512 055e5c0363e1e6d75e514b2f3a2dbbf830a0172a1381f3872b68cc4605bfafae91afcab37b710d12379488eba343fad7aeeb466ea23fa45d1d817a33aefe75fe
DIST numpy-2.3.5.tar.gz.provenance 9651 BLAKE2B 51039d094df01b45dfc013deb5149d6788869b5d36f187acd3048e9c5c7fca06c2d90e074633cd4a434d83112898a64a04e1b031760cbf5ad11f824f9384e588 SHA512 a86367d78e782148c3278fbc45b996a31d73ea5750bfee4599b6b06797ec196b9c8d25773efd7896e128900be9cf325d3ba8d0edae3701d1907626ee3d92e54c
+DIST numpy-2.4.0.tar.gz 20685720 BLAKE2B 958675bbef27810b7a4618642db440c5a01d3340119e49d16c204384b149d5cdfce069c4ca1b40e067b4da3fd19a7998b2a7269294a8cab1b0443b7dfb09427c SHA512 ff0c53866a7a7bdb255885ea0b9a9084538a15b8ff8e30f1ee9b75e8000432d755634fe07239ee4b6ec2b9e2e5f9535c231ad8f0b89dae54a545a4c136a20f55
+DIST numpy-2.4.0.tar.gz.provenance 9645 BLAKE2B d21d6398b148f342d8aa059995a72c79213dac5778b36ea3b91df8f3b39867d58bdfe4788fe5fb1a29b4edd92933332af7e4032827647172ed0d8d5ea822bfdd SHA512 a9930efdbcab2afcec17874ec017e00e80394b546a324da073596385fe96a83f455d4a9bb17a0ce329a06e39d3fe4bfecbeec8a7c973fecb25de0ae971b48e63
DIST numpy-2.4.0rc1.tar.gz 20658299 BLAKE2B ffefdc86ebdf77c503f7be7228efec64b095846814f5c5afe19f701047e151c0beb924515dfdccb7f8b0e9f991c9cef27786f3524a32b302e0daa6ffb3b38b94 SHA512 9e2373d6b6316922a7360e08261bfb15642f375ac95bff130920066ab674f34b4c784fe21c0421e838a28de47453d1d2dd4b81cefaa2b99a08b20f46f3544293
DIST numpy-2.4.0rc1.tar.gz.provenance 9749 BLAKE2B a554580b5d9ddffeca3ddce5edb49130de5b27bb3678acc44ad9d1c0f3b0617f5cb723f1803e31048641e3647e950ea85a469fe08c0b8467b0419d882639a228 SHA512 0758b3bb844433ec7fc662901c63768e6ca6f43dda784a405124aceaf25cae20d885cd2f0cfecd7897874953e9c21c42337159f7174c024d30bb8511c0ff1f98
diff --git a/dev-python/numpy/numpy-2.4.0.ebuild b/dev-python/numpy/numpy-2.4.0.ebuild
new file mode 100644
index 000000000000..c37efc7030fe
--- /dev/null
+++ b/dev-python/numpy/numpy-2.4.0.ebuild
@@ -0,0 +1,309 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYPI_VERIFY_REPO=https://github.com/numpy/numpy-release
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 pypi
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD 0BSD MIT ZLIB CC0-1.0"
+SLOT="0/2"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+# +lapack because the internal fallbacks are pretty slow. Building without blas
+# is barely supported anyway, see bug #914358.
+IUSE="big-endian +cpudetection index64 +lapack"
+
+# upstream-flag[:gentoo-flag]
+ARM_FLAGS=( neon{,-fp16} vfpv4 asimd{,hp,dp,fhm} sve )
+PPC_FLAGS=( vsx vsx2 vsx3 vsx4 )
+X86_FLAGS=(
+ avx2 avx512{bw,dq,vl} avx512_{bf16,bitalg,fp16,vbmi2} sse4_2
+)
+IUSE+="
+ ${ARM_FLAGS[*]/#/cpu_flags_arm_}
+ ${PPC_FLAGS[*]/#/cpu_flags_ppc_}
+ ${X86_FLAGS[*]/#/cpu_flags_x86_}
+"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8[index64(-)?]
+ >=virtual/lapack-3.8[index64(-)?]
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-build/meson-1.5.2
+ >=dev-python/cython-3.0.6[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # https://bugs.gentoo.org/925367
+ vrndq_f32
+)
+
+EPYTEST_PLUGINS=( hypothesis pytest-timeout )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+has_all_x86() {
+ local flag
+ for flag; do
+ if ! use "cpu_flags_x86_${flag}"; then
+ return 1
+ fi
+ done
+ return 0
+}
+
+python_configure_all() {
+ local cpu_baseline=()
+ local map flag
+ case ${ARCH} in
+ arm)
+ # every flag implies the previous one
+ for map in NEON:neon NEON_FP16:neon-fp16 NEON_VFPV4:vfpv4; do
+ if ! use "cpu_flags_arm_${map#*:}"; then
+ break
+ fi
+ cpu_baseline+=( "${map%:*}" )
+ done
+ ;&
+ arm64)
+ # on 32-bit ARM, ASIMD implies all NEON* flags
+ # on 64-bit ARM, they are all linked together
+ if use arm64 ||
+ [[ ${cpu_baseline[@]} && ${cpu_baseline[-1]} == NEON_VFPV4 ]]
+ then
+ cpu_baseline+=( $(usev cpu_flags_arm_asimd ASIMD) )
+ fi
+
+ # these two imply ASIMD
+ if [[ ${cpu_baseline[@]} && ${cpu_baseline[-1]} == ASIMD ]]; then
+ for flag in dp hp; do
+ cpu_baseline+=(
+ $(usev "cpu_flags_arm_asimd${flag}" "ASIMD${flag^^}")
+ )
+ done
+ fi
+
+ # these two imply ASIMDHP
+ if [[ ${cpu_baseline[@]} && ${cpu_baseline[-1]} == ASIMDHP ]]; then
+ for flag in asimdfhm sve; do
+ cpu_baseline+=(
+ $(usev "cpu_flags_arm_${flag}" "${flag^^}")
+ )
+ done
+ fi
+ ;;
+ ppc64)
+ # every flag implies the previous one
+ for flag in '' 2 3 4; do
+ if ! use "cpu_flags_ppc_vsx${flags}"; then
+ break
+ fi
+ cpu_baseline+=( "VSX${flag}" )
+ done
+ ;;
+ amd64|x86)
+ # upstream combines multiple instructions into sets
+ local mapping=(
+ # for these, we just check the newest instruction set,
+ # since all earlier instruction sets imply it
+ "X86_V2=sse4_2"
+ "X86_V3=avx2"
+ # from here on, we check all features that were added
+ # in the lowest CPU supporting them all
+ # https://en.wikipedia.org/wiki/AVX-512
+ "X86_V4=avx512bw avx512dq avx512vl"
+ "AVX512_ICL=avx512_vbmi2 avx512_bitalg"
+ "AVX512_SPR=avx512_bf16 avx512_fp16"
+ )
+
+ local m
+ for m in "${mapping[@]}"; do
+ local feature=${m%=*}
+ local sets=${m#*=}
+
+ if has_all_x86 ${sets}; then
+ einfo "${feature} enabled: all of ${sets} enabled"
+ cpu_baseline+=( "${feature}" )
+ else
+ einfo "${feature} disabled: not all of ${sets} enabled"
+ break
+ fi
+ done
+ ;;
+ *)
+ cpu_baseline=MIN
+ ;;
+ esac
+
+ DISTUTILS_ARGS=(
+ -Dallow-noblas=$(usex !lapack true false)
+ -Duse-ilp64=$(usex index64 true false)
+ -Dblas=$(usev lapack $(usex index64 cblas64 cblas))
+ -Dlapack=$(usev lapack $(usex index64 lapack64 lapack))
+ -Dcpu-baseline="${cpu_baseline[*]}"
+ -Dcpu-baseline-detect=disabled
+ -Dcpu-dispatch="$(usev cpudetection MAX)"
+ )
+
+ # bug #922457
+ filter-lto
+ # https://github.com/numpy/numpy/issues/25004
+ append-flags -fno-strict-aliasing
+}
+
+python_test() {
+ # We run tests in parallel, so avoid having n^2 threads in lapack
+ # tests.
+ local -x BLIS_NUM_THREADS=1
+ local -x MKL_NUM_THREADS=1
+ local -x OMP_NUM_THREADS=1
+ local -x OPENBLAS_NUM_THREADS=1
+
+ # don't run tests that require more than 2 GiB of RAM (per process)
+ local -x NPY_AVAILABLE_MEM="2 GiB"
+
+ local EPYTEST_DESELECT=(
+ # Very disk-and-memory-hungry
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+ # Precision problems
+ numpy/_core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ numpy/typing/tests/test_typing.py
+
+ # Flaky, reruns don't help
+ numpy/f2py/tests/test_crackfortran.py
+ numpy/f2py/tests/test_data.py::TestData{,F77}::test_crackedlines
+ numpy/f2py/tests/test_f2py2e.py::test_gen_pyf
+ numpy/f2py/tests/test_f2py2e.py::test_gh22819_cli
+ )
+
+ if [[ $(uname -m) == armv8l ]]; then
+ # Degenerate case of arm32 chroot on arm64, bug #774108
+ EPYTEST_DESELECT+=(
+ numpy/_core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ case ${ARCH} in
+ arm)
+ EPYTEST_DESELECT+=(
+ # TODO: warnings
+ numpy/_core/tests/test_umath.py::TestSpecialFloats::test_unary_spurious_fpexception
+
+ # TODO
+ numpy/_core/tests/test_function_base.py::TestLinspace::test_denormal_numbers
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ hppa)
+ EPYTEST_DESELECT+=(
+ # https://bugs.gentoo.org/942689
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[int]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[float]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[datetime64]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[timedelta64]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype_bytes_str_equivalence[<f]"
+ "numpy/_core/tests/test_dtype.py::TestPickling::test_pickle_dtype[dt28]"
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_reference_cycles
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_segmentation_fault
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_scalar
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_subarray
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure_aligned
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_union
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_padded_union
+ )
+ ;;
+ ppc|x86)
+ EPYTEST_DESELECT+=(
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ esac
+
+ if [[ ${CHOST} == powerpc64le-* ]]; then
+ EPYTEST_DESELECT+=(
+ # long double thingy
+ numpy/_core/tests/test_scalarprint.py::TestRealScalars::test_ppc64_ibm_double_double128
+ )
+ fi
+
+ if use big-endian; then
+ EPYTEST_DESELECT+=(
+ # ppc64 and sparc
+ numpy/linalg/tests/test_linalg.py::TestDet::test_generalized_sq_cases
+ numpy/linalg/tests/test_linalg.py::TestDet::test_sq_cases
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]"
+ )
+ fi
+
+ if ! has_version -b "~${CATEGORY}/${P}[${PYTHON_USEDEP}]" ; then
+ # depends on importing numpy.random from system namespace
+ EPYTEST_DESELECT+=(
+ 'numpy/random/tests/test_extending.py::test_cython'
+ )
+ fi
+
+ if has_version ">=dev-python/setuptools-74[${PYTHON_USEDEP}]"; then
+ # msvccompiler removal
+ EPYTEST_DESELECT+=(
+ numpy/tests/test_public_api.py::test_all_modules_are_expected_2
+ numpy/tests/test_public_api.py::test_api_importable
+ )
+ EPYTEST_IGNORE+=(
+ numpy/distutils/tests/test_mingw32ccompiler.py
+ numpy/distutils/tests/test_system_info.py
+ )
+ fi
+
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/odfdo/Manifest b/dev-python/odfdo/Manifest
index 252dbab6af84..92b649582e78 100644
--- a/dev-python/odfdo/Manifest
+++ b/dev-python/odfdo/Manifest
@@ -1 +1 @@
-DIST odfdo-3.14.4.gh.tar.gz 4335252 BLAKE2B 7473fc53788a0361e6adfa320b0ae26b93f5a0b01501c79c7b3eef8bd5531bd80e28e16d4aa869bf683df321534e46f6a29ddddd345eeb0448ed3c4511423294 SHA512 05be13e8e60e53e17d5f677d7ffc1326047ec7f403fb760942787e0710ab7fc14a1b610da8cc135700b5fa3c856697b93aad5e7e51d72fbb7d640a67dea19e96
+DIST odfdo-3.18.2.gh.tar.gz 3435996 BLAKE2B 94c9ac5f25c1421d245d5ec28169866d9c12bcfebfa02fd9655fd6a54ecdb63a526d4b5e5c5b45b7e5a4d4e0c2ed6f6ebb210e3fee21685e840a01d679d874e2 SHA512 11caf350aa04f762882f2df88c7c4dc4af4c954d9b904dc3cc2ddf671004a087d99b1bee7331bf590004b3c83871abc2368625b52c406a96a77098759ff09c24
diff --git a/dev-python/odfdo/metadata.xml b/dev-python/odfdo/metadata.xml
index 358fae053dd1..9ea55966c05f 100644
--- a/dev-python/odfdo/metadata.xml
+++ b/dev-python/odfdo/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>ivan.lloro.boada@gmail.com</email>
+ <name>Ivan Lloro</name>
+ </maintainer>
<upstream>
<maintainer>
<email>jerome.dumonteil@gmail.com</email>
diff --git a/dev-python/odfdo/odfdo-3.14.4.ebuild b/dev-python/odfdo/odfdo-3.18.2.ebuild
index 658eda975524..82d5363c8481 100644
--- a/dev-python/odfdo/odfdo-3.14.4.ebuild
+++ b/dev-python/odfdo/odfdo-3.18.2.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-DISTUTILS_USE_PEP517=hatchling
+DISTUTILS_USE_PEP517=uv-build
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1
diff --git a/dev-python/odsgenerator/Manifest b/dev-python/odsgenerator/Manifest
index 1db1f8f4082d..e8cb65decf92 100644
--- a/dev-python/odsgenerator/Manifest
+++ b/dev-python/odsgenerator/Manifest
@@ -1 +1 @@
-DIST odsgenerator-1.11.3.tar.gz 178448 BLAKE2B ce3098c04597aee6809b1d1ae9e9142dd7c3e06f74a6c55e01108b07696d17b1d946e6d5a588cff857bc0dfb1e29e59c86dd0fda68a49813b1a12668a1ffbb98 SHA512 066238780eb5f3c90fe9e58e3d15020c24f387635fe53417ae3fc0e1cedad3ad0460b2089b689aa687b3acc8362be9f50462bddc1554282a4f49bd627564ff0a
+DIST odsgenerator-1.12.0.tar.gz 183976 BLAKE2B e0be4b114cfce48664d5746840d5535853aa4ad78f86b723d398516c3cdebf8de08c9ff0b8da2cdc5963793d9ef3b342f74d1e1a4a5b6a5ab05e0675835e90a8 SHA512 83c19707d54541e5d8f8c16c27530331bc4f311cfb5931357f2f47e9733b0c1c7277dd9aa2f4557a5d2bf0940c6b4a44fa0b4e94130484eec28ecec930d3263a
diff --git a/dev-python/odsgenerator/metadata.xml b/dev-python/odsgenerator/metadata.xml
index 8c8101bcdb2c..5b3b90580cc7 100644
--- a/dev-python/odsgenerator/metadata.xml
+++ b/dev-python/odsgenerator/metadata.xml
@@ -1,10 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>core@liguros.net</email>
- <name>Development</name>
+ <maintainer type="person">
+ <email>ivan.lloro.boada@gmail.com</email>
+ <name>Ivan Lloro</name>
</maintainer>
<origin>gentoo-guru-overlay</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/odsgenerator/odsgenerator-1.11.3.ebuild b/dev-python/odsgenerator/odsgenerator-1.12.0.ebuild
index 0199ef2d62bc..e7e7eae988d4 100644
--- a/dev-python/odsgenerator/odsgenerator-1.11.3.ebuild
+++ b/dev-python/odsgenerator/odsgenerator-1.12.0.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-DISTUTILS_USE_PEP517=hatchling
+DISTUTILS_USE_PEP517=uv-build
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1
@@ -15,3 +15,16 @@ SRC_URI="https://github.com/jdum/odsgenerator/archive/refs/tags/v${PV}.tar.gz ->
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/odfdo-3.7.7[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-6.0.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ doc? (
+ >=dev-python/sphinx-7.0[${PYTHON_USEDEP}]
+ >=dev-python/myst-parser-4.0.1[${PYTHON_USEDEP}]
+ )
+"
diff --git a/dev-python/odsparsator/Manifest b/dev-python/odsparsator/Manifest
index ef6d646f812d..d29b374f763c 100644
--- a/dev-python/odsparsator/Manifest
+++ b/dev-python/odsparsator/Manifest
@@ -1 +1 @@
-DIST odsparsator-1.12.1.gh.tar.gz 167385 BLAKE2B 278236054b9dbf94c93757517e0d577c25e034b58332838c487c096b14382c92fa50eec4fcfcf5aba7ad2540939f26b0a558c3b6a090d53ba0c2a39f74173871 SHA512 c3c9abd8634f71826291a3a6f3b1684141c40932a8a77b01e48ef1205dfdac2863710c776c4000ff5b038960c41fa692ac67f9888dbf9e43e1405d166a1ac669
+DIST odsparsator-1.13.1.tar.gz 171683 BLAKE2B 1c34f779cb724b9ce62a394daf3996dc3dda2231d51b6ca266dd74fd62f0c872d0ae469d38dc10ef1478653ea3d513d9959a95fb17895588404d9f742ec8b155 SHA512 2a8f9c49b3037b3e4b03d68c9ad5d07222e3a450b2ad49f1c6fab06a0edf9604770b839489be54b9d1013de3d206af73150d0db0409db4c17f8781e02e9d3c69
diff --git a/dev-python/odsparsator/metadata.xml b/dev-python/odsparsator/metadata.xml
index d60fa30d2c1e..6d516321516e 100644
--- a/dev-python/odsparsator/metadata.xml
+++ b/dev-python/odsparsator/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>ivan.lloro.boada@gmail.com</email>
+ <name>Ivan Lloro</name>
+ </maintainer>
<upstream>
<maintainer>
<email>jerome.dumonteil@gmail.com</email>
diff --git a/dev-python/odsparsator/odsparsator-1.12.1-r2.ebuild b/dev-python/odsparsator/odsparsator-1.12.1-r2.ebuild
deleted file mode 100644
index 20bb5524253c..000000000000
--- a/dev-python/odsparsator/odsparsator-1.12.1-r2.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 2024-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1
-
-DESCRIPTION="Generate a JSON file from an OpenDocument Format .ods file."
-HOMEPAGE="
- https://github.com/jdum/odsparsator
- https://pypi.org/project/odsparsator/
-"
-SRC_URI="https://github.com/jdum/odsparsator/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="dev-python/odfdo[${PYTHON_USEDEP}]"
-
-distutils_enable_tests pytest
diff --git a/dev-python/odsparsator/odsparsator-1.13.1.ebuild b/dev-python/odsparsator/odsparsator-1.13.1.ebuild
new file mode 100644
index 000000000000..225646deead0
--- /dev/null
+++ b/dev-python/odsparsator/odsparsator-1.13.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Generate a JSON file from an OpenDocument Format .ods file."
+HOMEPAGE="https://github.com/jdum/odsparsator"
+SRC_URI="https://github.com/jdum/odsparsator/archive/refs/tags/v${PV}.tar.gz -> odsparsator-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/odfdo-3.14.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ doc? (
+ >=dev-python/sphinx-7.0[${PYTHON_USEDEP}]
+ >=dev-python/myst-parser-4.0.1[${PYTHON_USEDEP}]
+ )
+"
diff --git a/dev-python/scikit-image/Manifest b/dev-python/scikit-image/Manifest
index 4105bf02d3f4..fc61b35a8365 100644
--- a/dev-python/scikit-image/Manifest
+++ b/dev-python/scikit-image/Manifest
@@ -1,6 +1,8 @@
DIST scikit-image-data-15735b54e85c02427f07c71e6456723495034805.tar.bz2 143900901 BLAKE2B c1352e76337250fe1a9d6e07f08b6c9b1e0aed922ab8e0a3a4a1ea175f593b3375522e59550d30a22d392c34fef26d638c007c2af3d991887e02e7c68e56ebbb SHA512 d113dd258b35be710d841f9900cfbfe7103d1190b042489de88dd504b56277edac9a98fed5517e57725c5292fe26528267a06ff313bf6500b669d872c4481146
DIST scikit-image-data-5c090b56df3988d988ff97928e2ef2d2cbe38e1b.tar.bz2 156723295 BLAKE2B fb30104cfa823361f4306606b64b23c8aed349767c1bf86aa3ee8c17d3d593c2ffda7b2f0baabd1e856407d342fbbca9d485e897ec3c219b79dae2a059457604 SHA512 69107940bfcafc6e056192b718065d74fbaa7c5c9da78a2789cc55c24e51b6d4d936dded07c71dbb8dcedf409faa4e97bea3ae0f5c873c936767979102eedc3e
DIST scikit_image-0.25.2.tar.gz 22693594 BLAKE2B 238b44c120c53c10d98fc79c9ccb81770297a16156ba2d4d52cfa4731252aa205698caac384b8569c4b52ed2eb0e61500facff00c238a3212ecd7ba9b86db3da SHA512 8977585f7695d10df52d243d9fafdba2e04b5f4d4fe698dd9353bdffc4de21ad61053f55a46ed6350d5de8f1cd7dab969d45b85613a0e5fdb0b28a84c72551a9
+DIST scikit_image-0.26.0.tar.gz 22729739 BLAKE2B 3c2b9c0a0de449e6ac41e9b7e4c26fd21a59402e6cf58280923bf5ea4e98cd8287371bb01e184626ac2948b24872d6f8865a6f566c1fc4a5880e4ef139ff0e46 SHA512 30df4fa366d6f9b936f62247734ea26992e6d9af60390cf4bb9d87665dcfb395d27b67a52bf1a89d01ed4fa8dd56357a199201feacd5181c7e7f363a2c898cc5
+DIST scikit_image-0.26.0.tar.gz.provenance 9692 BLAKE2B 299f3097d71aa3261de38b6fbf38db91bdad84e95ba09dca7aef754d925b6013fbf7d0cc0426883ce5d3d9df9058ad890cb4ec014b7fb6e383512f4d41aa48cc SHA512 8cf6fbc4afae139135707abfb7d77221d68318cfb9358c3119cea05fadf5d10064b1843a7e07010b4af67feb163962d67d9ecbb8f4fee907fdfe17ce14c8b57d
DIST scikit_image-0.26.0rc1.tar.gz 22730546 BLAKE2B 63ef735b0cf49aec86d2f6c0953346f3087a750defd73541497a387d8ebb4cc70a5d8c316081e6fb8bdc2841bbda616064c6031cff512e9d3e63db066fa9ebd4 SHA512 d9e473ebf75b8c627dcfc9e92827e627703cdc5e3e2cde88c1cfce37c5b543dfd143622e1b1af7d1093bf1644d2e16c71c28ccd7a0af4b888186be35470dfee0
DIST scikit_image-0.26.0rc1.tar.gz.provenance 9858 BLAKE2B 50c4ba11c523add5a91c082ff57bbe12369b3c46133df1c6f5b859cfae9f7edae26ca3ee6f0e9ef96e242bce3f6b15738fc4d0ae0f9f98c157043b8daba258c9 SHA512 90d651546f2577d0e0e0692b48e04326aab0a5c32ac78ee68002fad8bc4d5fb14423d4f5bd5a3c9dcf359132856e5842fc6eeb3955db3ad2c5a62a1edaa52cbf
DIST scikit_image-0.26.0rc2.tar.gz 22730972 BLAKE2B 8bda6ce9039a80a51f6376014f24cce34a4b25c128ea86d45db50247a761dee25a82036ec2eadb4efb4a6a3f12622c4498707b382da5879f81c68fa6b29e7732 SHA512 f1cae6d85517629d4421a0e6dda7a574e2e809dd2f7a9ccffe5ae5db34e217fe6102569c5f6bdaa67bdb520a0656223d0f7d94c52c05d339a149736959bd6caa
diff --git a/dev-python/scikit-image/scikit-image-0.26.0.ebuild b/dev-python/scikit-image/scikit-image-0.26.0.ebuild
new file mode 100644
index 000000000000..3e90c3ade99f
--- /dev/null
+++ b/dev-python/scikit-image/scikit-image-0.26.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=meson-python
+DISTUTILS_EXT=1
+PYPI_VERIFY_REPO=https://github.com/scikit-image/scikit-image
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 optfeature pypi
+
+# the package refers to blobs directly, use the newest commit to get
+# them all
+TEST_DATA_COMMIT=5c090b56df3988d988ff97928e2ef2d2cbe38e1b
+DESCRIPTION="Image processing routines for SciPy"
+HOMEPAGE="
+ https://scikit-image.org/
+ https://github.com/scikit-image/scikit-image/
+ https://pypi.org/project/scikit-image/
+"
+SRC_URI+="
+ test? (
+ https://gitlab.com/scikit-image/data/-/archive/${TEST_DATA_COMMIT}/scikit-image-data-${TEST_DATA_COMMIT}.tar.bz2
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+RDEPEND="
+ >=dev-python/imageio-2.36[${PYTHON_USEDEP}]
+ >=dev-python/lazy-loader-0.4[${PYTHON_USEDEP}]
+ >=dev-python/networkx-3.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.24[${PYTHON_USEDEP}]
+ >=dev-python/pillow-10.1[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.11.4[sparse(+),${PYTHON_USEDEP}]
+ >=dev-python/tifffile-2022.8.12[${PYTHON_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+ dev-python/pythran[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/cython-3.0.4[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pythran[${PYTHON_USEDEP}]
+"
+
+# xdist does not work with this test suite
+EPYTEST_PLUGINS=( pytest-localserver )
+distutils_enable_tests pytest
+# There is a programmable error in your configuration file:
+#distutils_enable_sphinx doc/source dev-python/numpydoc dev-python/myst-parser
+
+src_test() {
+ # just useless formatter replacement
+ rm tests/conftest.py || die
+
+ # for some reason, upstream refetches data that's already in the tarball
+ # sigh
+ mkdir -p "${HOME}/.cache/scikit-image" || die
+ mv src/skimage "${HOME}/.cache/scikit-image/${PV/_/}" || die
+
+ # This is a true horror, sigh
+ local cache_dir=${HOME}/.cache/scikit-image/${PV/_/}/data
+ pushd "${WORKDIR}/data-${TEST_DATA_COMMIT}" >/dev/null || die
+ cp Tests_besides_Equalize_Otsu/add18_entropy/rank_filters_tests_3d.npz \
+ Tests_besides_Equalize_Otsu/gray_morph_output.npz \
+ brain.tiff cells3d.tif eagle.png \
+ "${cache_dir}/" || die
+ cp Normal_Epidermis_and_Dermis_with_Intradermal_Nevus_10x.JPG "${cache_dir}"/skin.jpg || die
+ cp pivchallenge/B/B001_1.tif "${cache_dir}"/pivchallenge-B-B001_1.tif || die
+ cp pivchallenge/B/B001_2.tif "${cache_dir}"/pivchallenge-B-B001_2.tif || die
+ cp kidney-tissue-fluorescence.tif "${cache_dir}"/kidney.tif || die
+ cp lily-of-the-valley-fluorescence.tif "${cache_dir}"/lily.tif || die
+ cp astronaut_rl.npy "${cache_dir}/../restoration/" || die
+ popd > /dev/null || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # tests for downloading all data files, including these not needed
+ # by any actual tests
+ tests/skimage/data/test_data.py::test_download_all_with_pooch
+ )
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "FITS io capability" dev-python/astropy
+ optfeature "GTK" dev-python/pygtk
+ optfeature "io plugin providing most standard formats" dev-python/imread
+ optfeature "plotting" dev-python/matplotlib
+ optfeature "wavelet transformations" dev-python/pywavelets
+ optfeature "io plugin providing a wide variety of formats, including specialized formats using in medical imaging." dev-python/simpleitk
+}
diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index f4c15767c813..667673392a17 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,3 +1,5 @@
+DIST simsimd-6.5.12.tar.gz 186676 BLAKE2B 3eadeb1612d7147539a259112ac2dc186b95ed55f814ef662b596e654e5782b54f633cd9086b14ff97f2c86b4f6083057615fd2e98b89ac599408461a5abf28d SHA512 50cdc0201c3a4753a504f50474337957b8aa0ac5e889fbc3921abce611d49e95bd48b9e458c05cff526e3fa65b7010445a942ce46ceab47eaa03d31d87036311
+DIST simsimd-6.5.12.tar.gz.provenance 9493 BLAKE2B dc070671415ab886ee4642824ab536dad5cc9ceed147a259c8f38b8d1b6690b2c0fb221fdba4e7297e88f4627ebc655e742e7668c92d2752412c4e1e0d68b599 SHA512 8db488effba3057ed611a40ecb9cb3952c67441fbed4fcc504f95ac1792bdb466e451791b0844058d6323e6f4c9aac0d18e6a8ede74944bdc045a83e320b1471
DIST simsimd-6.5.3.tar.gz 184865 BLAKE2B beb35b81ab1b5d722c4e3c824075e150620943bd66ba488be020c0de3d5fa3ffd24efc7870763fe3d4c9e0d824e2b116af942b2bd3e38463d5948a5832a2fbf8 SHA512 adc914bba666fc05b57b40f0b00b591d15d6e834eed27d232ef498bd93b0ed398a0348478fc4f2517a1f5d973985060d93a2c3346917ce4a47b90a5e359668b8
DIST simsimd-6.5.3.tar.gz.provenance 9307 BLAKE2B ae0de33d7d106b0ecc3705bcb8d5b5ec6a42fd12657b2b429083991187747e4ea7f1d5b37205b9d1aae5f1db5acfb42fb3417ac89470e34c2d28fda1f4d3f4f0 SHA512 dda353b271dca77f89362ad18d24fea82c07395b2d753a2afaeb133cb50fa2d8fec7b2c2c836ab995f2292cc09b53c67e2aedccfff6111cbeb2445aab112185f
DIST simsimd-6.5.8.tar.gz 186258 BLAKE2B fa7ef025ee43991faf1fde2e8cdf01f7e2cacd59fb8581fe3eb627957cdabc613190cfddc01021852e8f9e9ff1dd92bf33af757f7d10ef0c23694058de46ec4b SHA512 960769928b5abb9376b9dccbd13b06672861769fadce97a3d90a72407ea663baf3287b8c246415e46ee72ff262ded9838ac748fc76e120566975f09ea439826c
diff --git a/dev-python/simsimd/simsimd-6.5.12.ebuild b/dev-python/simsimd/simsimd-6.5.12.ebuild
new file mode 100644
index 000000000000..4391450b0035
--- /dev/null
+++ b/dev-python/simsimd/simsimd-6.5.12.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/ashvardanian/SimSIMD
+# TODO: freethreading
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi toolchain-funcs
+
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and Arm"
+HOMEPAGE="
+ https://github.com/ashvardanian/SimSIMD/
+ https://pypi.org/project/simsimd/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+ test? (
+ dev-python/tabulate[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-repeat )
+distutils_enable_tests pytest
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+ tc-check-openmp
+ fi
+}
+
+src_prepare() {
+ sed -i -e '/-O3/d' setup.py || die
+ if ! use openmp; then
+ sed -i -e '/-fopenmp/d' setup.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ einfo "Please disregard initial compiler errors -- the package is checking"
+ einfo "for target support."
+
+ distutils-r1_src_compile
+}
+
+python_test() {
+ epytest scripts/test.py
+}
diff --git a/dev-python/smbus2/Manifest b/dev-python/smbus2/Manifest
index b700261040fb..3ec12241f669 100644
--- a/dev-python/smbus2/Manifest
+++ b/dev-python/smbus2/Manifest
@@ -1 +1,2 @@
DIST smbus2-0.5.0.gh.tar.gz 17809 BLAKE2B 8d5de295d7dbf56187acfe826b44c75cb2b44070ff68d971adc173c4047aba74c6aa4e7922014ac73651b07919ec4ac52dc4c8e3719d204701ea1dbf5c9b2158 SHA512 ab3f7da5eef052145f86859f2d4f4907b23d7002d053253506ccf4bdc63b101e17f2a4be41b104d74eef047a596725f58b8b7a480c6cfeb19b896295484886b8
+DIST smbus2-0.6.0.gh.tar.gz 18399 BLAKE2B f80846185c85c4942b824d65a7cf060eaf4648303105e6bd8654912152979516e8c246090d8449fc31f3f49a12253e86cd250919b1b45f5d870c7e233c031fd3 SHA512 e3fe85e01fc0e2ce87461c5a0001a595139785d8b53fdb5058c93902b436515bb05c33e2071f2259761507e82f65e40ee2c46f33fd889ccd3bdd5b7b0681dfbe
diff --git a/dev-python/smbus2/smbus2-0.6.0.ebuild b/dev-python/smbus2/smbus2-0.6.0.ebuild
new file mode 100644
index 000000000000..de1ebd8c4671
--- /dev/null
+++ b/dev-python/smbus2/smbus2-0.6.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="A drop-in replacement for smbus-cffi/smbus-python in pure Python"
+HOMEPAGE="
+ https://pypi.org/project/smbus2/
+ https://github.com/kplindegaard/smbus2/
+"
+SRC_URI="
+ https://github.com/kplindegaard/smbus2/archive/refs/tags/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -s
+}
diff --git a/dev-python/strip-hints/Manifest b/dev-python/strip-hints/Manifest
new file mode 100644
index 000000000000..dd3a0eff5a19
--- /dev/null
+++ b/dev-python/strip-hints/Manifest
@@ -0,0 +1 @@
+DIST strip-hints-0.1.13.gh.tar.gz 24743 BLAKE2B 1c448fb1b22ef69dcacdc47c9bf0bb623b5726fb82779779e140659f28d9a9b57ef70e6b8d8dbb2c15863ba04e5f5261f50672fe7b01223de40f00a93ac18b04 SHA512 61b364492578420e89de1bdf6ea18ac622cd2ce49d0691864ad531cee6e8b44684bf1d2ab487403455607f9d8b1da1373fb686962ddad57330e0fbd44adb6b47
diff --git a/dev-python/strip-hints/metadata.xml b/dev-python/strip-hints/metadata.xml
new file mode 100644
index 000000000000..c41c001b8ca0
--- /dev/null
+++ b/dev-python/strip-hints/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>esteve.varela@gmail.com</email>
+ <name>Esteve Varela Colominas</name>
+ </maintainer>
+
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/strip-hints/strip-hints-0.1.13.ebuild b/dev-python/strip-hints/strip-hints-0.1.13.ebuild
new file mode 100644
index 000000000000..4420e27bd098
--- /dev/null
+++ b/dev-python/strip-hints/strip-hints-0.1.13.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 edo
+
+DESCRIPTION="Function and command-line program to strip Python type hints."
+HOMEPAGE="https://pypi.org/project/strip-hints
+ https://github.com/abarker/strip-hints"
+
+# Using github tarball due to missing tests in pypi archive
+MY_PV="8e55ffaddcc8c8a0fc968729718e0c6abe2b71e9"
+SRC_URI="https://github.com/abarker/strip-hints/archive/${MY_PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+python_test() {
+ cd test || die
+ edo ./run_tests.bash
+}